View a markdown version of this page

ListRegistries - AgentRegistry Control Plane API Reference

ListRegistries

Lists the registries in the caller's account and Region, with optional filtering by status and discovery authorizer type

Request Syntax

POST /registries-list HTTP/1.1 Content-type: application/json { "filters": [ { "name": "string", "values": [ "string" ] } ], "maxResults": number, "nextToken": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

filters

Filters to apply to the registry list

Type: Array of RegistryFilter objects

Array Members: Minimum number of 0 items. Maximum number of 10 items.

Required: No

maxResults

Maximum number of results to return

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 100.

Required: No

nextToken

Token for pagination

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "registries": [ { "createdAt": "string", "description": "string", "discoveryConfiguration": { "authorizerConfiguration": { ... }, "authorizerType": "string" }, "name": "string", "registryArn": "string", "registryId": "string", "status": "string", "statusReason": "string", "updatedAt": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

Token for next page of results

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

registries

List of registry summaries

Type: Array of RegistrySummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The caller is not authorized to perform the requested action.

HTTP Status Code: 403

InternalServerException

The request failed due to an unexpected internal error; the caller may retry.

HTTP Status Code: 500

ThrottlingException

The request was denied due to request throttling; the caller may retry after a delay.

HTTP Status Code: 429

ValidationException

The request failed validation of one or more input fields.

fieldList

The list of input fields that failed validation.

reason

The reason the request failed validation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: